
From: Marcus Meissner <meissner@suse.de>

After discussion on the glibc list the result was that=20 si_band is "long
int" according to POSIX:

	http://www.opengroup.org/onlinepubs/007904975/basedefs/signal.h.html

Ulrich Drepper refused a patch to fix glibc due to this reason:
	http://sources.redhat.com/ml/libc-alpha/2004-03/msg00254.html

so here is the patch to fix it in the kernel.

ppc64 and s390x were broken before and are fixed by this patch too.


---

 25-akpm/include/asm-generic/siginfo.h |    2 +-
 25-akpm/include/asm-x86_64/siginfo.h  |    2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

diff -puN include/asm-generic/siginfo.h~si_band-is-long include/asm-generic/siginfo.h
--- 25/include/asm-generic/siginfo.h~si_band-is-long	Wed Mar 24 14:00:32 2004
+++ 25-akpm/include/asm-generic/siginfo.h	Wed Mar 24 14:00:32 2004
@@ -27,7 +27,7 @@ typedef union sigval {
 #endif
 
 #ifndef __ARCH_SI_BAND_T
-#define __ARCH_SI_BAND_T int
+#define __ARCH_SI_BAND_T long int
 #endif
 
 #ifndef HAVE_ARCH_SIGINFO_T
diff -puN include/asm-x86_64/siginfo.h~si_band-is-long include/asm-x86_64/siginfo.h
--- 25/include/asm-x86_64/siginfo.h~si_band-is-long	Wed Mar 24 14:00:32 2004
+++ 25-akpm/include/asm-x86_64/siginfo.h	Wed Mar 24 14:00:32 2004
@@ -3,8 +3,6 @@
 
 #define __ARCH_SI_PREAMBLE_SIZE	(4 * sizeof(int))
 
-#define __ARCH_SI_BAND_T long
-
 #define SIGEV_PAD_SIZE ((SIGEV_MAX_SIZE/sizeof(int)) - 4)
 
 #include <asm-generic/siginfo.h>

_
